# Immediate "want to adds"
1. Add support for relay-registries.
* https://git.kitsunet.net/alynna/relay-registry
  - Add code to default.py to return registry related information in an HTML comment.
  - Add code to act on preference on startup
2. Add support for writing to the config file
* Use a simple yaml module for manipulating the file as an object.
  - Will be used for (3)
3. Add uspport for the access module.
4. Add support for whitelisting mode.
5. Enable the support for exchanging messages between relays using the access module.
6. Add support for trusted mode (which propagates access lists between trusted relays)

# Additional options
```
# Registering or deregistering happens on start of the relay
register: true    # Register with a relay registry
register: false   # Deregister with a relay
register: null    # Take no action.

# Trust module specifies what type of entries it will add from trusted hosts.
trust: [disabled, relay, registry]

# Whitelisting support
default-access: disabled           # Hosts not in the access list are considered disabled (403 error on access)
default-access: enabled            # Hosts not in the access list are considered enabled (Normal operation on access)

# This is where access is actually granted or denied.  You will able to change this list
# and reload as needed.  Whitelist option specifies how new hosts are added:
access:
  host.i.like: enabled             # This host can use the relay, even if default-access is disabled.
  host.i.dont.like: disabled       # This host can't use the relay (will get 403 on all accesses)
  host.i.really.like: trusted      # This host can use the relay and trade access lists
  relays.kitsunet.net: registry    # Hosts marked "registry" will be contacted on start to
  relays.pleroma.social: registry  # register your relay with a list.  
  relays.foxiepa.ws: registry      # These can also be propagated between trusted hosts.
  relay.kitsunet.net: relay        # Hosts marked "relay" can use relay federation, which means
  relay.pleroma.social: relay      # they can (and will) relay incoming activity
  relay.foxiepa.ws: relay          # to these relays too.  These also propagate between trusted hosts.
```
# Trusted relays
* Relays that are "trusted" trade access lists between eachother.
* Trusted relays send their entire access list, BUT only new entries the receiver doesn't have, are added.
* In order to keep the access list sane, "enabled" hosts are not propagated by default.
  - This allows one of your trusted peers to disable hosts if one becomes a problem later.
  - If however you are a whitelisting relay (default-access: false) and want to trust enabled entries from your trusted peers, add "enabled" to the trust variable.
