import asyncio
import aiohttp.web
import logging
import sys
import json
from . import config
from . import app, CONFIG
from . import database

async def start_webserver():
    runner = aiohttp.web.AppRunner(app)
    await runner.setup()
    try:
        listen = CONFIG['listen']
    except:
        listen = 'localhost'
    try:
        port = CONFIG['port']
    except:
        port = 8080

    logging.info('Starting webserver at {listen}:{port}'.format(listen=listen,port=port))

    site = aiohttp.web.TCPSite(runner, listen, port)
    await site.start()

def main():
    loop = asyncio.get_event_loop()
    asyncio.ensure_future(start_webserver())
    try:
        loop.run_forever()
    except (KeyboardInterrupt, SystemExit):
        logging.info("Relay asked to terminate.")
        config.save()
        database.save()
        sys.exit(0)

if __name__ == '__main__':
    main()
