import yaml
import pprint
CONFIG = None

def defaults():
    return yaml.load("""
host: relay.my.hostname
port: 8080
db: relay.jsonld
note: "This is a generic fediverse relay"
tags: ["general"]
trust: ["disabled", "relay", "registry"]
default-access: enabled

access:
  relays.kitsunet.net: registry
  relays.pleroma.social: registry
  relays.otherkin.club: registry
  relay.kitsunet.net: relay
  relay.pleroma.social: relay
  relay.otherkin.club: relay
""")

def load():
    try:
        with open('relay.yaml') as f:
            return yaml.load(f)
    except:
        return defaults()

def save():
    try:
        with open('relay.yaml', "w") as f:
             f.write(yaml.dump(CONFIG,default_flow_style=False))
        return True
    except:
        return False

CONFIG = {**defaults(), **load()}
print("Configuration: \n"+yaml.dump(CONFIG, default_flow_style=False))
        
