import asyncio
import logging
import simplejson as json

from . import CONFIG

try:
    with open(CONFIG['db']) as f:
        DATABASE = json.load(f)
except:
    logging.info('No database was found, making a new one.')
    DATABASE = {}

def save():
    with open(CONFIG['db'], 'w') as f:
        json.dump(DATABASE, f)

async def database_save():
    while True:
        save()
        await asyncio.sleep(30)

asyncio.ensure_future(database_save())

# Remove blacklisted relays
for j in DATABASE.get("relay-list", []):
    if CONFIG["access"].get(j.split("/")[2], "enabled") == "disabled":
        del DATABASE["relay-list"][DATABASE["relay-list"].index(j)]
    print("Relay {}: {} ".format(j.split("/")[2],CONFIG["access"].get(j.split("/")[2], "enabled")))
        
print(repr(DATABASE["relay-list"]))
